/*
*    Stopwords.java
*    Copyright (C) 2001 Eibe Frank
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

import java.util.*;

/**
* Class that can test whether a given string is a stop word.
* Lowercases all words before the test.
*
* @author Eibe Frank (eibe@cs.waikato.ac.nz)
* @version 1.0
*/
public class Stopwords {
 
 /** The hashtable containing the list of stopwords */
 private static Hashtable m_Stopwords = null;

 static {
  
   if (m_Stopwords == null) {
     m_Stopwords = new Hashtable();
     Double dummy = new Double(0);



m_Stopwords.put("als",dummy);
m_Stopwords.put("bei",dummy);
m_Stopwords.put("werden",dummy);
m_Stopwords.put("nach",dummy);
m_Stopwords.put("aus",dummy);
m_Stopwords.put("hat",dummy);
m_Stopwords.put("nicht",dummy);
m_Stopwords.put("ist",dummy);
m_Stopwords.put("auch",dummy);
m_Stopwords.put("sich",dummy);
m_Stopwords.put("eine",dummy);
m_Stopwords.put("ein",dummy);
m_Stopwords.put("dem",dummy);
m_Stopwords.put("auf",dummy);
m_Stopwords.put("des",dummy);
m_Stopwords.put("fuer",dummy);
m_Stopwords.put("den",dummy);
m_Stopwords.put("mit",dummy);
m_Stopwords.put("von",dummy);
m_Stopwords.put("das",dummy);
m_Stopwords.put("und",dummy);
m_Stopwords.put("die",dummy);
m_Stopwords.put("leserbrief",dummy);
m_Stopwords.put("schreiben",dummy);
m_Stopwords.put("seite",dummy);
m_Stopwords.put("eigenen",dummy);
m_Stopwords.put("jahres",dummy);
m_Stopwords.put("alles",dummy);
m_Stopwords.put("also",dummy);
m_Stopwords.put("etwas",dummy);
m_Stopwords.put("peter",dummy);
m_Stopwords.put("gar",dummy);
m_Stopwords.put("hier",dummy);
m_Stopwords.put("mich",dummy);
m_Stopwords.put("sagt",dummy);
m_Stopwords.put("automatically",dummy);
m_Stopwords.put("comyan",dummy);
m_Stopwords.put("newsbench",dummy);
m_Stopwords.put("processed",dummy);
m_Stopwords.put("der",dummy);
m_Stopwords.put("jaenner",dummy);
m_Stopwords.put("standard",dummy);
m_Stopwords.put("weitere",dummy);
m_Stopwords.put("muessen",dummy);
m_Stopwords.put("dazu",dummy);
m_Stopwords.put("gehen",dummy);
m_Stopwords.put("hatten",dummy);
m_Stopwords.put("uns",dummy);
m_Stopwords.put("weiter",dummy);
m_Stopwords.put("zwar",dummy);
m_Stopwords.put("einmal",dummy);
m_Stopwords.put("vier",dummy);
m_Stopwords.put("ganz",dummy);
m_Stopwords.put("unternehmen",dummy);
m_Stopwords.put("deren",dummy);
m_Stopwords.put("wenig",dummy);
m_Stopwords.put("bleiben",dummy);
m_Stopwords.put("insgesamt",dummy);
m_Stopwords.put("sollte",dummy);
m_Stopwords.put("dort",dummy);
m_Stopwords.put("davon",dummy);
m_Stopwords.put("nichts",dummy);
m_Stopwords.put("grossen",dummy);
m_Stopwords.put("gut",dummy);
m_Stopwords.put("kommt",dummy);
m_Stopwords.put("regierung",dummy);
m_Stopwords.put("denn",dummy);
m_Stopwords.put("kein",dummy);
m_Stopwords.put("koenne",dummy);
m_Stopwords.put("bisher",dummy);
m_Stopwords.put("jedoch",dummy);
m_Stopwords.put("ohne",dummy);
m_Stopwords.put("viele",dummy);
m_Stopwords.put("wiener",dummy);
m_Stopwords.put("sowie",dummy);
m_Stopwords.put("deutschen",dummy);
m_Stopwords.put("karl",dummy);
m_Stopwords.put("oesterreichischen",dummy);
m_Stopwords.put("worden",dummy);
m_Stopwords.put("wuerde",dummy);
m_Stopwords.put("montag",dummy);
m_Stopwords.put("sehr",dummy);
m_Stopwords.put("kultur",dummy);
m_Stopwords.put("mrd",dummy);
m_Stopwords.put("usa",dummy);
m_Stopwords.put("austria",dummy);
m_Stopwords.put("machen",dummy);
m_Stopwords.put("ersten",dummy);
m_Stopwords.put("ins",dummy);
m_Stopwords.put("laut",dummy);
m_Stopwords.put("doch",dummy);
m_Stopwords.put("fuenf",dummy);
m_Stopwords.put("apa",dummy);
m_Stopwords.put("muss",dummy);
m_Stopwords.put("koennte",dummy);
m_Stopwords.put("vergangenen",dummy);
m_Stopwords.put("seinen",dummy);
m_Stopwords.put("allerdings",dummy);
m_Stopwords.put("dabei",dummy);
m_Stopwords.put("zwischen",dummy);
m_Stopwords.put("werde",dummy);
m_Stopwords.put("ihrer",dummy);
m_Stopwords.put("sondern",dummy);
m_Stopwords.put("anderen",dummy);
m_Stopwords.put("waren",dummy);
m_Stopwords.put("wegen",dummy);
m_Stopwords.put("ihr",dummy);
m_Stopwords.put("seien",dummy);
m_Stopwords.put("sport",dummy);
m_Stopwords.put("wollen",dummy);
m_Stopwords.put("viel",dummy);
m_Stopwords.put("zehn",dummy);
m_Stopwords.put("geht",dummy);
m_Stopwords.put("dies",dummy);
m_Stopwords.put("chef",dummy);
m_Stopwords.put("wurden",dummy);
m_Stopwords.put("immer",dummy);
m_Stopwords.put("diesem",dummy);
m_Stopwords.put("jahren",dummy);
m_Stopwords.put("koennen",dummy);
m_Stopwords.put("heute",dummy);
m_Stopwords.put("samstag",dummy);
m_Stopwords.put("drei",dummy);
m_Stopwords.put("weil",dummy);
m_Stopwords.put("gibt",dummy);
m_Stopwords.put("mio",dummy);
m_Stopwords.put("dann",dummy);
m_Stopwords.put("andere",dummy);
m_Stopwords.put("erst",dummy);
m_Stopwords.put("seiner",dummy);
m_Stopwords.put("millionen",dummy);
m_Stopwords.put("sonntag",dummy);
m_Stopwords.put("allem",dummy);
m_Stopwords.put("euro",dummy);
m_Stopwords.put("ich",dummy);
m_Stopwords.put("derzeit",dummy);
m_Stopwords.put("sollen",dummy);
m_Stopwords.put("etwa",dummy);
m_Stopwords.put("neue",dummy);
m_Stopwords.put("schilling",dummy);
m_Stopwords.put("ihre",dummy);
m_Stopwords.put("selbst",dummy);
m_Stopwords.put("gegen",dummy);
m_Stopwords.put("chronik",dummy);
m_Stopwords.put("dieser",dummy);
m_Stopwords.put("neuen",dummy);
m_Stopwords.put("bereits",dummy);
m_Stopwords.put("kann",dummy);
m_Stopwords.put("sagte",dummy);
m_Stopwords.put("wir",dummy);
m_Stopwords.put("ende",dummy);
m_Stopwords.put("alle",dummy);
m_Stopwords.put("beim",dummy);
m_Stopwords.put("nun",dummy);
m_Stopwords.put("jetzt",dummy);
m_Stopwords.put("seit",dummy);
m_Stopwords.put("eines",dummy);
m_Stopwords.put("seine",dummy);
m_Stopwords.put("habe",dummy);
m_Stopwords.put("wenn",dummy);
m_Stopwords.put("keine",dummy);
m_Stopwords.put("vom",dummy);
m_Stopwords.put("hatte",dummy);
m_Stopwords.put("damit",dummy);
m_Stopwords.put("rund",dummy);
m_Stopwords.put("diese",dummy);
m_Stopwords.put("was",dummy);
m_Stopwords.put("schon",dummy);
m_Stopwords.put("wieder",dummy);
m_Stopwords.put("will",dummy);
m_Stopwords.put("oesterreich",dummy);
m_Stopwords.put("prozent",dummy);
m_Stopwords.put("jahr",dummy);
m_Stopwords.put("zwei",dummy);
m_Stopwords.put("soll",dummy);
m_Stopwords.put("mehr",dummy);
m_Stopwords.put("oder",dummy);
m_Stopwords.put("durch",dummy);
m_Stopwords.put("haben",dummy);
m_Stopwords.put("wirtschaft",dummy);
m_Stopwords.put("sei",dummy);
m_Stopwords.put("war",dummy);
m_Stopwords.put("sein",dummy);
m_Stopwords.put("unter",dummy);
m_Stopwords.put("wurde",dummy);
m_Stopwords.put("sie",dummy);
m_Stopwords.put("man",dummy);
m_Stopwords.put("zur",dummy);
m_Stopwords.put("zum",dummy);
m_Stopwords.put("bis",dummy);
m_Stopwords.put("dienstag",dummy);
m_Stopwords.put("sind",dummy);
m_Stopwords.put("wien",dummy);
m_Stopwords.put("nur",dummy);
m_Stopwords.put("einen",dummy);
m_Stopwords.put("ueber",dummy);
m_Stopwords.put("einer",dummy);
m_Stopwords.put("noch",dummy);
m_Stopwords.put("vor",dummy);
m_Stopwords.put("wie",dummy);
m_Stopwords.put("einem",dummy);
m_Stopwords.put("dass",dummy);
m_Stopwords.put("aber",dummy);
m_Stopwords.put("wird",dummy);
m_Stopwords.put("mittwoch",dummy);
    }
}

/** 
 * Returns true if the given string is a stop word.
 */
public static boolean isStopword(String str) {

  if (str.length()<3){
  	return true; 
  } else {
  	return m_Stopwords.containsKey(str.toLowerCase());
  }
}
}


